# Teisendamine antud alusel arvusüsteemi paremalt vasakule
def arvAlusele(n, alus):
    s = ""  # vastus
    if n == 0: return "0"
    while n != 0:
        d = int(n % alus)  # järgmise koha väärtus
        # Teisendame selle märgiks, esimesed on 0..9, edasi A..
        if d < 10:
            s += chr(ord('0') + d)
        else:
            s += chr(ord('A') + d - 10)
        n  = int(n / alus)  # vähendame n
    s = s[::-1]  # tegime paremalt vasakule, keerame ümber
    return s


# Teisendamine antud alusel arvusüsteemi vasakult paremale
def arvAlusele2(n, alus):
    s = ""  # vastus
    aste = alus  # astendatud alus
    while n > aste:
        aste *= alus  # otsime suurima astme
    aste /= alus  # läksime 1 astme mööda, jagame alusega
    while aste != 0:
        d = int(n / aste)  # järgmise koha väärtus
        # Teisendame selle märgiks, esimesed on 0..9, edasi A..
        if d < 10:
            s += chr(ord('0') + d)
        else:
            s += chr(ord('A') + d - 10)
        n %= aste  # ülejäänud kohad
        aste = int(aste / alus)  # vähendame kordset
    return s


print(arvAlusele(20, 2))
print(arvAlusele(20, 16))
print(arvAlusele(695, 16))

print(arvAlusele2(20, 2))
print(arvAlusele2(20, 16))
print(arvAlusele2(695, 16))
